U

The following is a basic set of minimum requirements for the HighGear server system. A more advanced coverage of the topic and a checklist is available in the HighGear Installation Requirements Checklist support document.

Server Software

Supported Operating Systems

  • Windows Server 2019 (recommended)
  • Windows Server 2016 (recommended)
  • Windows Server 2012 R2
  • Windows Server 2012

Supported Database Servers

  • SQL Server 2019 (recommended)
  • SQL Server 2017 (recommended)
  • SQL Server 2016
  • SQL Server 2014
  • SQL Server 2012

Other Required Server Software

  • IIS 8.0 or later (Follow these steps to install prerequisites for Windows 2012+)
  • .NET Framework 4.8 or later
  • In order to install the BI module, .NET Framework 3.5 is required.

Note that IIS and SQL Server are not required to be on the same server.

Database Server System Requirements

Moderate Load

  • CPU: One processor core for every 500 simultaneous users (minimum of 2 cores)
  • RAM: 16GB RAM per 500 simultaneous users (minimum of 8GB RAM)
  • Storage: Low-latency SSDs providing at least 2000 IOPS per 500 simultaneous users

Heavy Load

  • CPU: One processor core for every 250 simultaneous users (minimum of 2 cores)
  • RAM: 16GB RAM per 250 simultaneous users (minimum of 8GB RAM)
  • Storage: Low-latency SSDs providing at least 2000 IOPS per 250 simultaneous users

Database Server System Requirements

Moderate Load

  • CPU: One processor core for every 500 simultaneous users (minimum of 2 cores)
  • RAM: 2GB RAM per 500 simultaneous users (minimum of 4GB RAM)
  • Storage: At least 128GB of storage

Heavy Load

  • CPU: One processor core for every 250 simultaneous users (minimum of 2 cores)
  • RAM: 2GB RAM per 250 simultaneous users (minimum of 4GB RAM)
  • Storage: At least 128GB of storage

Enterprise systems supporting many simultaneous users may wish to contact support for advice on server requirements based on expected loads.

Client Software

HighGear is compatible with any of the following web browsers. The computer’s operating system does not matter.

  • Internet Explorer 11
    • The Workflow Designer is not supported in Internet Explorer for any versions.
  • Firefox 68 and later
  • Safari 13 and later
  • Chrome 80 and later
  • Microsoft Edge 44 and later